## nvidia-modprobe 361.28

=== Makefile ===
#
# Copyright (c) 2013, NVIDIA CORPORATION.  All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# assign variables
##############################################################################

NVIDIA_MODPROBE = $(OUTPUTDIR)/nvidia-modprobe

NVIDIA_MODPROBE_PROGRAM_NAME = "nvidia-modprobe"

NVIDIA_MODPROBE_VERSION := $(NVIDIA_VERSION)

MANPAGE_GZIP ?= 1

MANPAGE_not_gzipped     = $(OUTPUTDIR)/nvidia-modprobe.1
MANPAGE_gzipped     = $(OUTPUTDIR)/nvidia-modprobe.1.gz

ifeq ($(MANPAGE_GZIP),1)
  MANPAGE     = $(MANPAGE_gzipped)
else
  MANPAGE     = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS   = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC      = $(OUTPUTDIR)/options.1.inc


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-modprobe as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-modprobe source
# tarball (in which case, the below conditional assignment should be
# used)
##############################################################################

COMMON_UTILS_DIR          ?= common-utils

##############################################################################
# The modprobe-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building as part of the
# NVIDIA driver build (in which case, MODPROBE_UTILS_DIR should be
# defined by the calling makefile), or directly in the source
# directory when building from source tarball (in which case, the
# below conditional assignment should be used)
##############################################################################

MODPROBE_UTILS_DIR        ?= modprobe-utils

# include the list of source files; defines SRC
include dist-files.mk

SRC += $(STAMP_C)

include $(COMMON_UTILS_DIR)/src.mk
SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(MODPROBE_UTILS_DIR)/nvidia-modprobe-utils.mk
SRC += $(addprefix $(MODPROBE_UTILS_DIR)/,$(MODPROBE_UTILS_SRC))

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))

common_cflags += -I $(OUTPUTDIR)
common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I $(MODPROBE_UTILS_DIR)
common_cflags += -DPROGRAM_NAME=\"$(NVIDIA_MODPROBE_PROGRAM_NAME)\"
common_cflags += -D_BSD_SOURCE
common_cflags += -ansi
common_cflags += -pedantic

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)


##############################################################################
# build rules
##############################################################################

.PNONY: all install NVIDIA_MODPROBE_install
.PHONY: MANPAGE_install clean clobber

all: $(NVIDIA_MODPROBE) $(MANPAGE)

install: NVIDIA_MODPROBE_install MANPAGE_install

NVIDIA_MODPROBE_install: $(NVIDIA_MODPROBE)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(MANDIR)/$(notdir $<)

$(NVIDIA_MODPROBE): $(OBJS)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(OBJS) -o $@ \
	  $(BIN_LDFLAGS)
	$(call quiet_cmd,STRIP_CMD) $@

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_MODPROBE_PROGRAM_NAME)))

clean clobber:
	rm -rf $(NVIDIA_MODPROBE) $(MANPAGE) *~ $(STAMP_C) \
	  $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
	  $(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC = gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src,$(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-modprobe.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

## nvidia-modprobe 334.16

=== debian/changelog ===
nvidia-modprobe (334.16-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 18:06:58 +0200

nvidia-modprobe (334.16-1) unstable; urgency=low

  * Initial release.  (Closes: #746352)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Apr 2014 11:03:01 +0200

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper (>= 9),
 m4,
Standards-Version: 3.9.5
Homepage: ftp://download.nvidia.com/XFree86/nvidia-modprobe/
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-modprobe.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

## nvidia-modprobe 340.24

=== debian/changelog ===
nvidia-modprobe (340.24-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1377060)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 07 Oct 2014 19:06:54 +0200

nvidia-modprobe (340.24-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 17:54:24 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: contrib/utils
 Priority: optional
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
-Uploaders: Andreas Beckmann <anbe@debian.org>
+Uploaders: Andreas Beckmann <anbe@debian.org>,
+ Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 9),
  m4,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

export PREFIX = /usr

%:
	dh $@

override_dh_auto_build:
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel

override_dh_fixperms:
	dh_fixperms
	chmod 04755 debian/nvidia-modprobe/usr/bin/nvidia-modprobe

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r _out */_out

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-modprobe/nvidia-modprobe-(.*).tar.(?:gz|bz2)

## nvidia-modprobe 340.32

=== debian/changelog ===
nvidia-modprobe (340.32-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Aug 2014 00:11:12 -0700

## nvidia-modprobe 340.46

=== debian/changelog ===
nvidia-modprobe (340.46-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 07 Oct 2014 00:27:29 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper (>= 9),
  m4,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-modprobe/
 Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-modprobe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/nvidia-modprobe.git

## nvidia-modprobe 349.16

=== debian/changelog ===
nvidia-modprobe (349.16-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright: Upstream source is consistently licensed under Expat
    since 349.12, previously common-utils/* was under GPL-2.
  * Relicense the Debian packaging under Expat, too.
  * Update Vcs-Browser and Homepage URLs.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch for
    nvidia-settings by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Jun 2015 20:22:50 +0200

## nvidia-modprobe 358.09

=== debian/changelog ===
nvidia-modprobe (358.09-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Nov 2015 16:52:32 +0100

nvidia-modprobe (358.09-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Nov 2015 01:41:21 +0100

nvidia-modprobe (349.16-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Nov 2015 19:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: contrib/utils
 Priority: optional
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
-Uploaders: Andreas Beckmann <anbe@debian.org>,
+Uploaders:
+ Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 9),
  m4,
 Standards-Version: 3.9.6
-Homepage: ftp://download.nvidia.com/XFree86/nvidia-modprobe/
+Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-modprobe.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/nvidia-modprobe.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-modprobe.git
 
 Package: nvidia-modprobe
 Architecture: i386 amd64 armhf

## nvidia-modprobe 361.28

=== debian/changelog ===
nvidia-modprobe (361.28-1) unstable; urgency=medium

  * New upstream release.
  * Build for ppc64el.
  * Update Vcs-Git URL.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Feb 2016 13:23:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Build-Depends:
  debhelper (>= 9),
  m4,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
-Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-modprobe.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-modprobe.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-modprobe.git
 
 Package: nvidia-modprobe
-Architecture: i386 amd64 armhf
+Architecture: i386 amd64 armhf ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: utility to load NVIDIA kernel modules and create device nodes
  This setuid program is used to create NVIDIA Linux device files and load the

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 export NV_VERBOSE=1
 
 export PREFIX = /usr
+
+# Redefine DATE to something stable to make the build reproducible
+DATE		 = $(shell dpkg-parsechangelog -S Date)
+# Cheat for user and hostname
+WHOAMI		 = echo buildd
+HOSTNAME_CMD	 = echo debian
+export DATE WHOAMI HOSTNAME_CMD
 
 %:
 	dh $@

## nvidia-modprobe 367.18

=== debian/changelog ===
nvidia-modprobe (367.18-1) unstable; urgency=medium

  * New upstream release.
  * Enable more hardening.
  * Mark as Multi-Arch: foreign.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 May 2016 09:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dpkg-dev (>= 1.17.0),
  m4,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-modprobe.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-modprobe.git
 
 Package: nvidia-modprobe
 Architecture: i386 amd64 armhf ppc64el
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: utility to load NVIDIA kernel modules and create device nodes
  This setuid program is used to create NVIDIA Linux device files and load the

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

# Redefine DATE to something stable to make the build reproducible
BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
export DATE		 = date -d "$(BUILDDATE)"
# Cheat for user and hostname
export WHOAMI		 = echo buildd
export HOSTNAME_CMD	 = echo debian

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif


%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod 04755 debian/nvidia-modprobe/usr/bin/nvidia-modprobe

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r _out

## nvidia-modprobe 367.44

=== debian/changelog ===
nvidia-modprobe (367.44-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Nov 2016 18:49:41 -0700

nvidia-modprobe (367.44-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 02:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: nvidia-modprobe
 Section: contrib/utils
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>

## nvidia-modprobe 375.26

=== debian/changelog ===
nvidia-modprobe (375.26-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 03:05:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: nvidia-modprobe
 Section: contrib/utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dpkg-dev (>= 1.17.0),
  m4,
 Standards-Version: 3.9.8

## nvidia-modprobe 384.111

=== Makefile ===
--- 
+++ 
@@ -113,10 +113,10 @@
 	$(MKDIR) $(MANDIR)
 	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(MANDIR)/$(notdir $<)
 
-$(NVIDIA_MODPROBE): $(OBJS)
+$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_MODPROBE)))
+$(NVIDIA_MODPROBE).unstripped: $(OBJS)
 	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(OBJS) -o $@ \
 	  $(BIN_LDFLAGS)
-	$(call quiet_cmd,STRIP_CMD) $@
 
 # define the rule to build each object file
 $(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

=== debian/changelog ===
nvidia-modprobe (384.111-2) unstable; urgency=medium

  * Add setuid.patch to run setuid(0) before forking modprobe to preserve
    privileges through shell invocations and recursive modprobe calls.
    Thanks to Hiromasa YOSHIMOTO for intensive debugging and the final patch!
    (Closes: #888952)
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Feb 2018 01:50:01 +0100

nvidia-modprobe (384.111-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jan 2018 16:43:31 +0100

nvidia-modprobe (384.98-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https:// URLs.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Set Rules-Requires-Root: binary-targets.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Use a fixed OUTPUTDIR for improved reproducibility.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 04:11:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 10),
- dpkg-dev (>= 1.17.0),
+ dpkg-dev (>= 1.18.8),
  m4,
-Standards-Version: 3.9.8
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.1.3
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
-Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-modprobe.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-modprobe.git
+Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git
 
 Package: nvidia-modprobe
 Architecture: i386 amd64 armhf ppc64el

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 # Redefine DATE to something stable to make the build reproducible
-BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
-export DATE		 = date -d "$(BUILDDATE)"
+export DATE		 = date -d "@$(SOURCE_DATE_EPOCH)"
 # Cheat for user and hostname
 export WHOAMI		 = echo buildd
 export HOSTNAME_CMD	 = echo debian
@@ -18,6 +18,7 @@
 export PREFIX		 = /usr
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+export OUTPUTDIR	 = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG		 = 1

## nvidia-modprobe 390.25

=== debian/changelog ===
nvidia-modprobe (390.25-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 04:37:14 +0100

nvidia-modprobe (384.111-2~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Feb 2018 13:40:28 +0100

## nvidia-modprobe 390.87

=== debian/changelog ===
nvidia-modprobe (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Feb 2019 00:57:08 +0100

nvidia-modprobe (390.87-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Jan 2019 02:31:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

## nvidia-modprobe 410.93

=== debian/changelog ===
nvidia-modprobe (410.93-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now builds reproducibly.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 16:23:00 +0100

nvidia-modprobe (396.54-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 01:20:19 +0100

## nvidia-modprobe 418.56

=== debian/changelog ===
nvidia-modprobe (418.56-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 May 2019 01:38:56 +0200

nvidia-modprobe (418.56-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2019 15:59:00 +0200

nvidia-modprobe (415.27-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Apr 2019 02:49:11 +0200

nvidia-modprobe (390.87-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Jan 2019 20:28:46 +0100

nvidia-modprobe (384.111-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Jan 2018 22:23:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: binary-targets

=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-modprobe/nvidia-modprobe-(.*).tar.(?:gz|bz2)

## nvidia-modprobe 440.44

=== Makefile ===
--- 
+++ 
@@ -72,8 +72,6 @@
 # include the list of source files; defines SRC
 include dist-files.mk
 
-SRC += $(STAMP_C)
-
 include $(COMMON_UTILS_DIR)/src.mk
 SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))
 
@@ -121,11 +119,8 @@
 # define the rule to build each object file
 $(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
 
-# define the rule to generate $(STAMP_C)
-$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_MODPROBE_PROGRAM_NAME)))
-
 clean clobber:
-	rm -rf $(NVIDIA_MODPROBE) $(MANPAGE) *~ $(STAMP_C) \
+	rm -rf $(NVIDIA_MODPROBE) $(MANPAGE) *~ \
 	  $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
 	  $(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)

=== debian/changelog ===
nvidia-modprobe (440.44-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2020 01:44:00 +0100

nvidia-modprobe (435.21-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jan 2020 02:02:02 +0100

nvidia-modprobe (430.50-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Oct 2019 00:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,6 @@
 
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
-
-# Redefine DATE to something stable to make the build reproducible
-export DATE		 = date -d "@$(SOURCE_DATE_EPOCH)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
 
 export PREFIX		 = /usr
 export DO_STRIP		 =

## nvidia-modprobe 450.57

=== debian/changelog ===
nvidia-modprobe (450.57-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Aug 2020 21:34:33 +0200

nvidia-modprobe (450.51-1) experimental; urgency=medium

  * New upstream beta.
  * Build for arm64.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Jul 2020 12:42:52 +0200

nvidia-modprobe (440.100-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Jul 2020 12:28:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: binary-targets
@@ -16,7 +16,7 @@
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git
 
 Package: nvidia-modprobe
-Architecture: i386 amd64 armhf ppc64el
+Architecture: i386 amd64 armhf arm64 ppc64el
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: utility to load NVIDIA kernel modules and create device nodes

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,8 @@
 %:
 	dh $@
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod 04755 debian/nvidia-modprobe/usr/bin/nvidia-modprobe
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(RM) -r _out

## nvidia-modprobe 450.66

=== debian/changelog ===
nvidia-modprobe (450.66-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Sep 2020 19:53:34 -0700

nvidia-modprobe (450.66-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Sep 2020 00:16:04 +0200

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.18.8), m4
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.0
Homepage: https://github.com/NVIDIA/nvidia-modprobe
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,6 @@
 
 execute_after_dh_auto_clean:
 	$(RM) -r _out
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## nvidia-modprobe 455.23.04

=== debian/changelog ===
nvidia-modprobe (455.23.04-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12 and revert to rules file overrides instead of 
    "execute_afters".

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Nov 2020 03:37:40 -0800

nvidia-modprobe (455.23.04-1) experimental; urgency=medium

  * New upstream release. (Closes: #971072)
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Sep 2020 22:02:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
-Uploaders: Andreas Beckmann <anbe@debian.org>
+Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.18.8), m4
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 %:
 	dh $@
 
-execute_after_dh_fixperms:
+override_dh_fixperms:
+	dh_fixperms
 	chmod 04755 debian/nvidia-modprobe/usr/bin/nvidia-modprobe
 
-execute_after_dh_auto_clean:
+override_dh_auto_clean:
+	dh_auto_clean
 	$(RM) -r _out
 
 override_dh_strip:

## nvidia-modprobe 460.32.03

=== debian/changelog ===
nvidia-modprobe (460.32.03-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jan 2021 17:56:56 +0100

nvidia-modprobe (460.27.04-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Update Lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Dec 2020 20:22:08 +0100

## nvidia-modprobe 465.24.02

=== debian/changelog ===
nvidia-modprobe (465.24.02-1~ubuntu20.04.1) focal; urgency=medium

  * No-change backport to Focal (LP: #1928146)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 12 May 2021 13:16:24 -0700

nvidia-modprobe (465.24.02-1) experimental; urgency=medium

  * New upstream release. (Closes: #987744)

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Apr 2021 11:48:45 +0100

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.18.8),
 m4,
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.1
Homepage: https://github.com/NVIDIA/nvidia-modprobe
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: i386 amd64 armhf arm64 ppc64el
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 export PREFIX		 = /usr
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
 export OUTPUTDIR	 = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -22,13 +23,8 @@
 %:
 	dh $@
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod 04755 debian/nvidia-modprobe/usr/bin/nvidia-modprobe
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(RM) -r _out
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## nvidia-modprobe 470.57.02

=== debian/changelog ===
nvidia-modprobe (470.57.02-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:45:42 +0200

nvidia-modprobe (470.42.01-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Jun 2021 09:27:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nvidia-modprobe
 Section: contrib/utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: binary-targets

## nvidia-modprobe 470.74

=== debian/changelog ===
nvidia-modprobe (470.74-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Oct 2021 15:03:20 -0700

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,6 @@
 
 execute_after_dh_auto_clean:
 	$(RM) -r _out
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## nvidia-modprobe 470.82.00

=== debian/changelog ===
nvidia-modprobe (470.82.00-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Nov 2021 09:12:44 +0100

## nvidia-modprobe 470.103.01

=== debian/changelog ===
nvidia-modprobe (470.103.01-1~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Mar 2022 20:17:29 +0200

nvidia-modprobe (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Mar 2022 23:07:41 +0100

nvidia-modprobe (470.103.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Feb 2022 14:05:06 +0100

nvidia-modprobe (470.94-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Jan 2022 21:24:20 +0100

nvidia-modprobe (460.32.03-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Jan 2021 16:39:32 +0100

nvidia-modprobe (450.66-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Sep 2020 22:22:57 +0200

## nvidia-modprobe 470.182.03

=== Makefile ===
--- 
+++ 
@@ -156,4 +156,4 @@
 	  $< > $@
 
 $(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
-	$(GZIP_CMD) -9f < $< > $@
+	$(GZIP_CMD) -9nf < $< > $@

=== debian/changelog ===
nvidia-modprobe (470.182.03-1) bullseye; urgency=medium

  * New upstream release.
    - Updated nvidia-modprobe to create symbolic links in /dev/char when
      creating the /dev/nvidia* device nodes. This resolves an issue that
      prevented the device nodes from working with newer versions of runc:
      https://github.com/opencontainers/runc/issues/3708
  * Update Lintian overrides.
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Apr 2023 21:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

## nvidia-modprobe 510.47.03

=== debian/changelog ===
nvidia-modprobe (510.47.03-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Feb 2022 10:55:30 -0800

nvidia-modprobe (510.47.03-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Feb 2022 14:41:24 +0100

nvidia-modprobe (495.44-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Nov 2021 09:19:56 +0100

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.18.8), m4
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.0
Homepage: https://github.com/NVIDIA/nvidia-modprobe
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

=== debian/rules ===
--- 
+++ 
@@ -29,5 +29,6 @@
 execute_after_dh_auto_clean:
 	$(RM) -r _out
 
+# MX don't need no stinkin' dbgsyms
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## nvidia-modprobe 510.73.05

=== debian/changelog ===
nvidia-modprobe (510.73.05-0~siduction.1) experimental; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 17 May 2022 10:08:10 +0200

nvidia-modprobe (510.68.02-0~siduction.1) unstable; urgency=medium

  * siduction-build
  * new upstream release

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 02 May 2022 22:00:08 +0200

nvidia-modprobe (510.60.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 31 Mar 2022 12:03:36 +0200

nvidia-modprobe (510.60.02-1) experimental; urgency=medium

  * New upstream release.

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Mar 2022 16:10:22 +0100

nvidia-modprobe (510.54-1) experimental; urgency=medium

  * New upstream release.
  * Add patch to fix build reproducibility

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Mar 2022 22:34:38 +0000

## nvidia-modprobe 515.48.07

=== debian/changelog ===
nvidia-modprobe (515.48.07-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Sep 2022 15:17:28 -0700

nvidia-modprobe (515.48.07-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Jun 2022 16:06:55 +0200

nvidia-modprobe (510.68.02-1) unstable; urgency=medium

  * New upstream release.

 -- Luca Boccassi <bluca@debian.org>  Mon, 02 May 2022 17:29:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.18.8), m4
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,6 @@
 execute_after_dh_auto_clean:
 	$(RM) -r _out
 
-# MX don't need no stinkin' dbgsyms
+# No dbgsym package:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## nvidia-modprobe 525.78.01

=== debian/changelog ===
nvidia-modprobe (525.78.01-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Feb 2023 12:42:18 -0800

nvidia-modprobe (525.78.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2023 14:35:57 +0100

nvidia-modprobe (515.86.01-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 12:35:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
-Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.18.8), m4
+Build-Depends: debhelper-compat (= 12), m4
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/NVIDIA/nvidia-modprobe
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

## nvidia-modprobe 535.54.03

=== debian/changelog ===
nvidia-modprobe (535.54.03-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Jul 2023 20:36:35 +0200

nvidia-modprobe (530.30.02-2) unstable; urgency=medium

  * Updated nvidia-modprobe to create symbolic links in /dev/char when
    creating the /dev/nvidia* device nodes. This resolves an issue that
    prevented the device nodes from working with newer versions of runc:
    https://github.com/opencontainers/runc/issues/3708
    (Cherry-picked from 525.105.17)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Apr 2023 18:25:30 +0200

nvidia-modprobe (530.30.02-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Mar 2023 03:47:05 +0100

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 m4,
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://github.com/NVIDIA/nvidia-modprobe
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: i386 amd64 armhf arm64 ppc64el
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

=== debian/watch ===
version=4

https://download.nvidia.com/XFree86/nvidia-modprobe/nvidia-modprobe-(.*).tar.(?:gz|bz2)

## nvidia-modprobe 535.161.07

=== debian/changelog ===
nvidia-modprobe (535.161.07-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux 21 AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Aug 2024 13:53:37 -0700

nvidia-modprobe (535.161.07-1~deb12u1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2024 22:27:37 +0200

nvidia-modprobe (535.161.07-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 23:08:54 +0100

nvidia-modprobe (535.161.07-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Mar 2024 14:36:38 +0100

nvidia-modprobe (535.54.03-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 00:16:04 +0200

nvidia-modprobe (525.78.01-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Feb 2023 09:55:14 +0100

nvidia-modprobe (470.94-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Jan 2022 11:00:31 +0100

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13), m4
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://github.com/NVIDIA/nvidia-modprobe
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 execute_after_dh_auto_clean:
 	$(RM) -r _out
 
-# No dbgsym package:
+# No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## nvidia-modprobe 550.67

=== debian/changelog ===
nvidia-modprobe (550.67-0) experimental; urgency=medium

  * new upstream release

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 29 Mar 2024 18:24:26 +0100

## nvidia-modprobe 550.78

=== debian/changelog ===
nvidia-modprobe (550.78-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0. No changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 May 2024 11:01:24 +0200

nvidia-modprobe (545.29.06-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Apr 2024 22:37:25 +0200

=== debian/control ===
Source: nvidia-modprobe
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 m4,
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.0
Homepage: https://github.com/NVIDIA/nvidia-modprobe
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-modprobe
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-modprobe.git

Package: nvidia-modprobe
Architecture: i386 amd64 armhf arm64 ppc64el
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to load NVIDIA kernel modules and create device nodes
 This setuid program is used to create NVIDIA Linux device files and load the
 NVIDIA kernel module, on behalf of NVIDIA Linux driver components which may
 not have sufficient privileges to perform these actions on their own.

## nvidia-modprobe 550.144.03

=== debian/changelog ===
nvidia-modprobe (550.144.03-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 29 Mar 2025 17:11:14 +0100

## nvidia-modprobe 570.133.07

=== debian/changelog ===
nvidia-modprobe (570.133.07-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Jun 2025 14:24:40 -0700

nvidia-modprobe (570.133.07-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 23:31:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,5 +31,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
